Docs
Automations

Update Automation

Rename, change steps, or activate/pause.

PATCH/automations/{automation_id}

Path Parameters

automation_idstringrequired
Automation ID.

Body Parameters

status'active' | 'paused'
Status.
const res = await fetch('https://postwaves.online/automations/{automation_id}', {
  method: 'PATCH',
  headers: {
    Authorization: 'Bearer pw_xxxxxxxxx',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
    "status": "paused"
  }),
});
const data = await res.json();
Try itPATCH/automations/%7Bautomation_id%7D

No key yet? Create one in the dashboard.